# Stale History

A Horizon server may be configured to reject historical requests when the history is known to be further out of date than the configured threshold.

In such cases, the `stale_history` error occurs and returns a [`503` error code](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/503). To resolve this error (provided you are the Horizon instance’s operator), please ensure that the ingestion system is running correctly and importing new ledgers.

```bash
{
  "type": "https://expansion-testnet.bantu.network/horizon-errors/stale_history",
  "title": "Historical DB Is Too Stale",
  "status": 503,
  "detail": "This horizon instance is configured to reject client requests when it can determine that the history database is lagging too far behind the connected instance of stellar-core.  If you operate this server, please ensure that the ingestion system is properly running."
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/errors/http-status-codes/horizon-specific/stale-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
